Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.fileadapter.webservice
Class FileWriteOutputMessage

    java.lang.Object
      com.stc.connector.fileadapter.webservice.FileWriteOutputMessage

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public class FileWriteOutputMessage

extends java.lang.Object
implements com.stc.connector.persistence.bpel.PersistableData

This class is the FileWriteOutputMessage.

Constructor Summary
`FileWriteOutputMessage()` Creates a new instance of FileWriteOutputMessage
`FileWriteOutputMessage(boolean status)`

Method Summary
`boolean` | `getStatus()` Gets the status.
`boolean` | `hasStatus()` Checks whether the status properety has been set.
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)` Persists this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restores this message.
`void` | `setStatus(boolean newstatus)` Sets the status.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileWriteOutputMessage

    public FileWriteOutputMessage()

  Creates a new instance of FileWriteOutputMessage

### FileWriteOutputMessage

    public FileWriteOutputMessage(boolean status)

Method Detail

### getStatus

    public boolean getStatus()

  Gets the status.

  Returns:
    The status.

### setStatus

    public void setStatus(boolean newstatus)

  Sets the status.

  Parameters:
    `newstatus` - The new status.

### hasStatus

    public boolean hasStatus()

  Checks whether the status properety has been set.

  Returns:
    true if it was set or false if not.

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Persists this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dout` - The DataOutput to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restores this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `din` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.